Delete Slack installation
curl --request DELETE \
--url https://spectrum.photon.codes/projects/{projectId}/slack/installations/{teamId}import requests
url = "https://spectrum.photon.codes/projects/{projectId}/slack/installations/{teamId}"
response = requests.delete(url)
print(response.text)const options = {method: 'DELETE'};
fetch('https://spectrum.photon.codes/projects/{projectId}/slack/installations/{teamId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"succeed": true,
"data": {
"projectId": "<string>",
"teamId": "<string>"
}
}slack
Delete Slack installation
Soft-deletes a workspace installation. Frees the (slack_app, team) slot so the same workspace can re-install via OAuth.
DELETE
/
projects
/
{projectId}
/
slack
/
installations
/
{teamId}
Delete Slack installation
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Minimum string length:
1Was this page helpful?
⌘I